#
# spec file for package python-scp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-scp
Version:        0.10.2
Release:        lp152.3.2
Summary:        SSH scp module for paramiko
License:        LGPL-2.1+
Group:          Development/Languages/Python
Url:            https://github.com/jbardin/scp.py
Source:         https://files.pythonhosted.org/packages/source/s/scp/scp-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-paramiko
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module paramiko}
%endif
%python_subpackages

%description
The scp.py module uses a paramiko transport to send and receive files via the
scp protocol. This is the protocol as referenced from the openssh scp program,
and has only been tested with this implementation.

%prep
%setup -q -n scp-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Sun Aug  6 2017 mardnh@gmx.de
- Convert to singlespec
* Mon Aug 15 2016 mardnh@gmx.de
- use python-setuptools instead of python-distribute
* Fri Jan 22 2016 mardnh@gmx.de
- initial package
